Subject: [SWIPL] calling sicstus prolog from cgi -PROBLEMS

From: Edel Greevy <[email-masked]>
Date: Tue, 17 Jul 2001 09:32:45 +0100

Thanks in advance for the help! 
I am trying to call sicstus prolog from a cgi script. The cgi-scripts executes 
a prolog file, which in turn execute another that runs the prolog parser. 
This is the line in the script calling the prolog file. 
`/usr/local/bin/sicstus -l /users/guests/aclweb/patr/transpatr.pl`;

When I pre-run the file (perl filename) this line is executed. The necessary
files are executed and everything works hunky dory. But when I run it from
online nothing is excuted. Can anyone tell me why?? I thought it might have
something to do with the file permissions but I chmod-ed the ones I execute
to 711 and it made no difference. It's as if the script just ignores the
command calling prolog. 
Help much appreciated. 

Edel